/*
 * @(#)src/contract/jvm/pfm/jni_md.h, jvm, hx142, 20080401 1.12
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.2
 * (C) Copyright IBM Corp. 1998, 2002. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */




/*
 *
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 009653  080800 hdngmr  Added XJNICALL definition.
 * 050801  100502 hdawt   Added XJNICALLBACK and XJNISCOPE macros
 * 050587  230502 hdrjm   Added XJNICALLBACK_FNPTR macros
 *
 * ===========================================================================
 */
#ifndef _JAVASOFT_JNI_MD_H_
#define _JAVASOFT_JNI_MD_H_

#define JNIEXPORT_PROTOTYPE                                           /*ibm.54*/
#define JNIEXPORT
#define JNIIMPORT
#define JNICALL
#define XJNICALL                                                     /*ibm@9653*/
#define XJNISCOPE static                                           /*ibm@50801*/
#define XJNICALLBACK                                               /*ibm@50801*/

#define XJNICALLBACK_FNPTR_STRUCT(fnType)                          /*ibm@50578*/
#define XJNICALLBACK_FNPTR_SET(fnPtr)                              /*ibm@50578*/
#define XJNICALLBACK_FNPTR(fnPtr) fnPtr                            /*ibm@50578*/

#include <inttypes.h>                                                /*ibm@23359*/

typedef int32_t jint;                                                /*ibm@23359*/
typedef int64_t jlong;                                               /*ibm@23359*/
typedef signed char jbyte;
#ifdef _LP64
typedef jlong jsize;                                                 /*ibm@23359*/
#else
typedef jint jsize;                                                  /*ibm@9237*/
#endif

#endif /* !_JAVASOFT_JNI_MD_H_ */
